curl -X POST "https://api.medstrato.com/v1/kols" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"]
}'
const kol = await medstrato.kols.create({
full_name: 'Dr. Michael Rodriguez',
title: 'Director of Orthopedic Surgery',
institution: 'Johns Hopkins Hospital',
department: 'Orthopedics',
specialties: ['orthopedic_surgery', 'sports_medicine'],
expertise_areas: ['knee_replacement', 'robotic_surgery'],
tier: 'tier_2',
email: 'm.rodriguez@jhmi.edu',
location: {
city: 'Baltimore',
state: 'MD',
country: 'US'
},
tags: ['robotic_surgery', 'potential_speaker']
});
kol = medstrato.kols.create(
full_name='Dr. Michael Rodriguez',
title='Director of Orthopedic Surgery',
institution='Johns Hopkins Hospital',
department='Orthopedics',
specialties=['orthopedic_surgery', 'sports_medicine'],
expertise_areas=['knee_replacement', 'robotic_surgery'],
tier='tier_2',
email='m.rodriguez@jhmi.edu',
location={
'city': 'Baltimore',
'state': 'MD',
'country': 'US'
},
tags=['robotic_surgery', 'potential_speaker']
)
{
"data": {
"id": "kol_mno456",
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"engagement_level": "low",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"],
"event_count": 0,
"created_at": "2024-01-20T14:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
KOLs
Create KOL
Create a new KOL profile in your organization.
POST
/
v1
/
kols
curl -X POST "https://api.medstrato.com/v1/kols" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"]
}'
const kol = await medstrato.kols.create({
full_name: 'Dr. Michael Rodriguez',
title: 'Director of Orthopedic Surgery',
institution: 'Johns Hopkins Hospital',
department: 'Orthopedics',
specialties: ['orthopedic_surgery', 'sports_medicine'],
expertise_areas: ['knee_replacement', 'robotic_surgery'],
tier: 'tier_2',
email: 'm.rodriguez@jhmi.edu',
location: {
city: 'Baltimore',
state: 'MD',
country: 'US'
},
tags: ['robotic_surgery', 'potential_speaker']
});
kol = medstrato.kols.create(
full_name='Dr. Michael Rodriguez',
title='Director of Orthopedic Surgery',
institution='Johns Hopkins Hospital',
department='Orthopedics',
specialties=['orthopedic_surgery', 'sports_medicine'],
expertise_areas=['knee_replacement', 'robotic_surgery'],
tier='tier_2',
email='m.rodriguez@jhmi.edu',
location={
'city': 'Baltimore',
'state': 'MD',
'country': 'US'
},
tags=['robotic_surgery', 'potential_speaker']
)
{
"data": {
"id": "kol_mno456",
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"engagement_level": "low",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"],
"event_count": 0,
"created_at": "2024-01-20T14:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
Request Body
Full name of the KOL
Professional title (e.g., “Chief of Cardiology”)
Primary institution or hospital
Department within the institution
List of medical specialties
Specific areas of expertise
Research focus areas
KOL tier classification. Options:
tier_1, tier_2, tier_3Primary email address
Phone number
Professional biography
Internal notes (not visible to KOL)
Custom tags for organization
Response
Returns the created KOL object.curl -X POST "https://api.medstrato.com/v1/kols" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"]
}'
const kol = await medstrato.kols.create({
full_name: 'Dr. Michael Rodriguez',
title: 'Director of Orthopedic Surgery',
institution: 'Johns Hopkins Hospital',
department: 'Orthopedics',
specialties: ['orthopedic_surgery', 'sports_medicine'],
expertise_areas: ['knee_replacement', 'robotic_surgery'],
tier: 'tier_2',
email: 'm.rodriguez@jhmi.edu',
location: {
city: 'Baltimore',
state: 'MD',
country: 'US'
},
tags: ['robotic_surgery', 'potential_speaker']
});
kol = medstrato.kols.create(
full_name='Dr. Michael Rodriguez',
title='Director of Orthopedic Surgery',
institution='Johns Hopkins Hospital',
department='Orthopedics',
specialties=['orthopedic_surgery', 'sports_medicine'],
expertise_areas=['knee_replacement', 'robotic_surgery'],
tier='tier_2',
email='m.rodriguez@jhmi.edu',
location={
'city': 'Baltimore',
'state': 'MD',
'country': 'US'
},
tags=['robotic_surgery', 'potential_speaker']
)
{
"data": {
"id": "kol_mno456",
"full_name": "Dr. Michael Rodriguez",
"title": "Director of Orthopedic Surgery",
"institution": "Johns Hopkins Hospital",
"department": "Orthopedics",
"specialties": ["orthopedic_surgery", "sports_medicine"],
"expertise_areas": ["knee_replacement", "robotic_surgery"],
"tier": "tier_2",
"engagement_level": "low",
"email": "m.rodriguez@jhmi.edu",
"location": {
"city": "Baltimore",
"state": "MD",
"country": "US"
},
"tags": ["robotic_surgery", "potential_speaker"],
"event_count": 0,
"created_at": "2024-01-20T14:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
Errors
| Code | Description |
|---|---|
400 | Invalid request body or missing required fields |
409 | KOL with this email already exists |
429 | KOL limit reached for your plan |
⌘I